%global __provides_exclude_from ^%{_libdir}/gsignond/.*\\.so$

Name:           gsignond-extension-pantheon
Summary:        Pantheon extension for the gsignond daemon
Version:        0.3.0
Release:        1%{?dist}
License:        GPLv3+

URL:            https://launchpad.net/%{name}
Source0:        %{url}/loki/%{version}/+download/%{name}-%{version}.tar.xz
Source1:        gsignond.conf

BuildRequires:  cmake
BuildRequires:  vala >= 0.21.2

BuildRequires:  pkgconfig(glib-2.0)
BuildRequires:  pkgconfig(gsignond)
BuildRequires:  pkgconfig(libaccounts-glib)
BuildRequires:  pkgconfig(libgsignon-glib)
BuildRequires:  pkgconfig(libnotify)
BuildRequires:  pkgconfig(libsecret-1)


%description
Pantheon extension for the gsignond daemon. This uses libsecret in order
to store credentials.


%package     -n gsignond-pantheon-config
Summary:        Pantheon configuration file for gsignond

BuildArch:      noarch

Requires:       %{name} = %{version}-%{release}

Provides:       gsignond-config

%description -n gsignond-pantheon-config
Pantheon extension for the gsignond daemon. This uses libsecret in order
to store credentials.

This package includes the Pantheon-specific configuration file.


%prep
%autosetup


%build
mkdir build && pushd build
%cmake ..
%make_build
popd


%install
pushd build
%make_install
popd

mkdir -p %{buildroot}/%{_sysconfdir}
cp -pav %{SOURCE1} %{buildroot}/%{_sysconfdir}/


%files
%doc README

%{_libdir}/gsignond/extensions/libextension-pantheon.so


%files -n gsignond-pantheon-config
%config(noreplace) %{_sysconfdir}/gsignond.conf


%changelog
* Mon May 01 2017 Fabio Valentini <decathorpe@gmail.com> - 0.3.0-1
- Initial package.


